Subject: bug#29939: 回复: Re: bug#29939: HELP:enter a "ls"command, then the os connection will closed

From: "[email-masked]" <[email-masked]>
Date: Thu, 4 Jan 2018 08:58:34 +0800

Hi:
    Thank you for your response。

"ls" is /bin/ls

the "/usr/bin/ls" is not exist

Is there any log I can see to find the reason?

Look forward to your reply。

中国联合网络通信有限公司
TV增值业务运营中心
李磊
Tel: 15620012157
Email：[email-masked]
地址：天津市南开区南马路1151号2楼
 
发件人： Bernhard Voelker
发送时间： 2018-01-03 21:11
收件人： [email-masked]; [email-masked]
主题： Re: bug#29939: HELP:enter a "ls"command, then the os connection will closed
On 01/02/2018 07:25 AM, [email-masked] wrote:
>     When I enter a "ls " command at the directory "/root",the OS connection will closed.
 
are you sure "ls" is /usr/bin/ls?
 
  $ type ls
  ls is /usr/bin/ls
 
I.e., it could be aliased to something weird, e.g. a shell function which
calls '/usr/bin/ls' under the hood but "exit"s in certain cases:
 
  $ _ls() { /usr/bin/ls ${1+"$@"} | grep . || exit; }
 
  $ alias ls=_ls
 
  $ type ls
  ls is aliased to `_ls'
 
  $ ls
  bin
  file
  home
  ...
 
  $ ls ENOENT
  /usr/bin/ls: cannot access 'ENOENT': No such file or directory
  logout
 
Other than that, I don't see how the spawned 'ls' process could lead
to a logout of the calling shell process.
 
Have a nice day,
Berny